VkDebugUtilsMessengerCallbackDataEXT Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkDebugUtilsMessengerCallbackDataEXT:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDebugUtilsMessengerCallbackDataFlagsEXT | flags
const char * | pMessageIdName
int32_t | messageIdNumber
const char * | pMessage
uint32_t | queueLabelCount
VkDebugUtilsLabelEXT * | pQueueLabels
uint32_t | cmdBufLabelCount
VkDebugUtilsLabelEXT * | pCmdBufLabels
uint32_t | objectCount
VkDebugUtilsObjectNameInfoEXT * | pObjects

## Detailed Description

Definition at line 7441 of file vulkan_core.h.

## Field Documentation

## cmdBufLabelCount

uint32_t VkDebugUtilsMessengerCallbackDataEXT::cmdBufLabelCount

Definition at line 7450 of file vulkan_core.h.

## flags

VkDebugUtilsMessengerCallbackDataFlagsEXT VkDebugUtilsMessengerCallbackDataEXT::flags

Definition at line 7444 of file vulkan_core.h.

## messageIdNumber

int32_t VkDebugUtilsMessengerCallbackDataEXT::messageIdNumber

Definition at line 7446 of file vulkan_core.h.

## objectCount

uint32_t VkDebugUtilsMessengerCallbackDataEXT::objectCount

Definition at line 7452 of file vulkan_core.h.

## pCmdBufLabels

VkDebugUtilsLabelEXT* VkDebugUtilsMessengerCallbackDataEXT::pCmdBufLabels

Definition at line 7451 of file vulkan_core.h.

## pMessage

const char* VkDebugUtilsMessengerCallbackDataEXT::pMessage

Definition at line 7447 of file vulkan_core.h.

## pMessageIdName

const char* VkDebugUtilsMessengerCallbackDataEXT::pMessageIdName

Definition at line 7445 of file vulkan_core.h.

## pNext

const void* VkDebugUtilsMessengerCallbackDataEXT::pNext

Definition at line 7443 of file vulkan_core.h.

## pObjects

VkDebugUtilsObjectNameInfoEXT* VkDebugUtilsMessengerCallbackDataEXT::pObjects

Definition at line 7453 of file vulkan_core.h.

## pQueueLabels

VkDebugUtilsLabelEXT* VkDebugUtilsMessengerCallbackDataEXT::pQueueLabels

Definition at line 7449 of file vulkan_core.h.

## queueLabelCount

uint32_t VkDebugUtilsMessengerCallbackDataEXT::queueLabelCount

Definition at line 7448 of file vulkan_core.h.

## sType

VkStructureType VkDebugUtilsMessengerCallbackDataEXT::sType

Definition at line 7442 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h